### Method

# Gcr SystemPrompt close

#### Declaration [src]

    gboolean
    gcr_system_prompt_close (
      GcrSystemPrompt* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Close this prompt. After calling this function, no further prompts will succeed on this object. The prompt object is not unreferenced by this function, and you must unreference it once done.

This call may block, use the `gcr_system_prompt_close_async()` to perform this action indefinitely.

Whether or not this function returns `TRUE`, the system prompt object is still closed and may not be further used.

#### Parameters

`cancellable` | `GCancellable`
| An optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether close was cleanly completed.